const app = getApp()
Page({
    data: {
        frameStyle: { useTop: true, name: '比赛场地', leftArrow: false, useBar: false },
        list: []
    },
    toCommon: function (e) {
        const { route } = e.currentTarget.dataset;
        if (route) wx.navigateTo({ url: `/pages/${route}` });
    },
    // 修改
    toEdit: function (e) {
        let { item } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/address/add?id=${item._id}` })
    },
    // 删除
    toDel: async function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        wx.showModal({
            title: '提示',
            content: '是否确认删除该条数据?',
            async success(res) {
                if (res.confirm) {
                    const arr = await app.$delete(`/newCourt/api/ground/${item._id}`);
                    if (arr.errcode == '0') {
                        wx.showToast({ title: `删除信息成功`, icon: 'success', duration: 2000 })
                        that.watchLogin()
                    } else {
                        wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 })
                    }
                }
            }
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },
    // 监听用户是否登录
    watchLogin: async function () {
        const that = this;
        // 监听用户是否登录，
        // wx.getStorage({
        //     key: 'user',
        //     success: async res => { },
        //     fail: async res => {
        //         wx.redirectTo({ url: '/pages/index/index' })
        //     }
        // })
        let arr;
        arr = await app.$get(`/newCourt/api/ground`);
        if (arr.errcode == '0') { that.setData({ list: arr.data }) }
        else { wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 }) }
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        const that = this;
        // 监听用户是否登录
        that.watchLogin();
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})